import '/components/alert_box_widget.dart';
import '/flutterlib/flutter_icon_button.dart';
import '/flutterlib/flutter_theme.dart';
import '/flutterlib/flutter_util.dart';
import '/flutterlib/flutter_widgets.dart';
import 'testing_widget.dart' show TestingWidget;
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:provider/provider.dart';

class TestingModel extends FlutterModel<TestingWidget> {
  ///  State fields for stateful widgets in this page.

  final unfocusNode = FocusNode();
  // State field(s) for CheckboxListTile widget.
  bool? checkboxListTileValue;
  // Model for alertBox component.
  late AlertBoxModel alertBoxModel;

  /// Initialization and disposal methods.

  void initState(BuildContext context) {
    alertBoxModel = createModel(context, () => AlertBoxModel());
  }

  void dispose() {
    unfocusNode.dispose();
    alertBoxModel.dispose();
  }

  /// Action blocks are added here.

  /// Additional helper methods are added here.
}
